package com.hai.service;

import com.hai.entity.HighGoodsPriceRefer;

import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description:  产品销售价格配置
 * @Date: 2021/3/14 16:25
 */
public interface HighGoodsPriceReferService {

    /**
     * @Author 胡锐
     * @Description 增加
     * @Date 2021/3/14 16:26
     **/
    void insertPriceRefer(HighGoodsPriceRefer highGoodsPriceRefer);

    /**
     * @Author 胡锐
     * @Description 卡卷价格 处于待编辑、已生效、待生效、审批中 全部失效
     * @Date 2021/3/14 20:14
     **/
    void couponAllPriceInvalid(Long couponId);

    /**
     * @Author 胡锐
     * @Description 卡卷价格 处于待编辑、待生效、审批中 全部失效。但保留当前生效的价格
     * @Date 2021/3/14 21:00
     **/
    void couponAllInvalidKeepCurrent(Long couponId);

}
