package com.hai.service;

import com.hai.entity.HighCoupon;
import com.hai.model.HighCouponModel;

import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/3/11 22:04
 */
public interface HighCouponService {

    /**
     * @Author 胡锐
     * @Description 增加卡卷业务
     * @Date 2021/3/11 22:05
     **/
    void insertCoupon(HighCouponModel highCouponModel);

    /**
     * @Author 胡锐
     * @Description 修改卡卷业务
     * @Date 2021/3/12 20:41
     **/
    void updateCoupon(HighCouponModel highCouponModel);

    /**
     * @Author 胡锐
     * @Description 修改卡卷信息
     * @Date 2021/3/14 20:52
     **/
    void update(HighCoupon highCoupon);

    /**
     * @Author 胡锐
     * @Description 卡卷上架
     * @Date 2021/3/14 22:46
     **/
    void upShelfApprove(Long id);

    /**
     * @Author 胡锐
     * @Description 卡卷下架
     * @Date 2021/3/14 20:56
     **/
    void ofShelfApprove(Long id);


    /**
     * @Author 胡锐
     * @Description 根据id查询
     * @Date 2021/3/14 16:58
     **/
    HighCouponModel getCouponById(Long id);

    /**
     * @Author 胡锐
     * @Description 获取卡卷集合
     * @Date 2021/3/15 23:12
     **/
    List<HighCouponModel> getCouponList(Map<String, Object> map);

}
